#!/bin/sh
mount -o rw,remount /

cd /etc/update/
OKA=`md5sum -s -c sum`
OKB=$?

showlcd.sh "Found\nUpdate\n"

if [ "$OKB" -eq "1" ]
then 
	rm -Rf /media/card/update
	rm -Rf /etc/update/*
	sync
        showlcd.sh "Found\nUpdate\nWrong\nChecksum\n"
	reboot
	exit
fi

showlcd.sh "Found\nUpdate\nInstalling\n"
opkg install /etc/update/*.ipk

cp /etc/update/220303-uImage /boot/uImage
cp /etc/update/160608-am335x-boneblack.dtb /boot/devicetree-uImage-am335x-boneblack.dtb


cp /usr/local/app/knock/config/zAnalyse.cfg /media/card/etc/knock/
cp /usr/local/app/knock/config/zUser.cfg /media/card/etc/knock/
cp /usr/local/app/knock/config/zLanguage.cfg /media/card/etc/knock/



mount /dev/mmcblk1p1 /media/hdd
cp /etc/update/uEnv.txt /media/hdd/
cp /etc/update/u-boot-151002.img /media/hdd/u-boot.img
cp /etc/update/MLO-140522 /media/hdd/MLO

sync
sync
umount /media/hdd


cp /etc/update/inittab /etc/inittab
sync


#cp /usr/local/app/config/config.rc /media/card/etc/config.rc
# Geisberger
#cp /usr/local/app/img/logo-2.png /usr/local/app/img/logo.jpeg


rm -Rf /media/card/update
rm -Rf /etc/update/*
sync
showlcd.sh "Found\nUpdate\nInstalling\ndone\nrebooting\n"
reboot
